# Class ComposableTask<T>

#### Type Parameters

- #### T

#### Hierarchy

- ComposableTask
  - ComputeFaceDescriptorsTaskBase
  - DetectFacesTaskBase
  - DetectFaceLandmarksTaskBase

- Defined in globalApi/ComposableTask.ts:1

#####
Index

### Constructors

constructor

### Methods

run
then

## Constructors

### constructor

- new ComposableTask<T>(): ComposableTask<T>

- #### Type Parameters

  - #### T

  #### Returns ComposableTask<T>

## Methods

### run

- run(): Promise<T>

- #### Returns Promise<T>

  - Defined in globalApi/ComposableTask.ts:7

### then

- then(onfulfilled: ((value: T) => T | PromiseLike<T>)): Promise<T>

- #### Parameters

  - ##### onfulfilled: ((value: T) => T | PromiseLike<T>)

    - - (value: T): T | PromiseLike<T>

      - #### Parameters

        - ##### value: T

        #### Returns T | PromiseLike<T>

  #### Returns Promise<T>

  - Defined in globalApi/ComposableTask.ts:3